//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/view/settings/general"}
Ext.define('Shopware.apps.FintezaAnalytics.view.settings.General', {
    extend: 'Ext.form.FieldSet',
    alias: 'widget.general',
    stateId: 'general',
    collapsible: true,
    collapsed: false,
    hidden: false,
    width: '100%',
    margin: 5,
    padding: 10,
    border: true,
    defaults: {
        labelWidth: 150,
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;

        me.title = '{s name="general_title"}Settings{/s}';
        me.items = me.createForm();

        me.callParent(arguments);
    },
    createForm: function () {
        var me = this,
            data = me.record[0].data;

        return [
            Ext.create('Ext.form.field.Text', {
                name: 'FINTEZA_WEBSITE_ID',
                fieldLabel: '{s name="general_id"}Website ID{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: true,
                required: false,
                value: data.FINTEZA_WEBSITE_ID,
                inputAttrTpl: 'spellcheck=false',
            }),
            Ext.create('Ext.container.Container', {
                html: '{s name="general_id_help"}<a href="https://www.finteza.com/register?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.register&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Register</a> an account in Finteza{/s}',
                style: 'font-style: italic; color: #999999; margin-left: 155px; padding: 0 0 10px;',
            }),
            Ext.create('Ext.form.field.Checkbox', {
                name: 'FINTEZA_TRACKING_HASH',
                boxLabel: '{s name="general_hash"}Track hash changes in the address bar{/s}',
                blankText: '{s name="required_field"}This field is required{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: false,
                required: true,
                uncheckedValue: false,
                inputValue: true,
                checked: data.FINTEZA_TRACKING_HASH ? true : false,
                fieldStyle: 'margin-left: 155px; font-weight: bold;',
            }),
            Ext.create('Ext.form.field.Checkbox', {
                name: 'FINTEZA_TRACKING_LINK',
                boxLabel: '{s name="general_link"}Track outbound links{/s}',
                blankText: '{s name="required_field"}This field is required{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: false,
                required: true,
                uncheckedValue: false,
                inputValue: true,
                checked: data.FINTEZA_TRACKING_LINK ? true : false,
                fieldStyle: 'margin-left: 155px; font-weight: bold;',
            }),
            Ext.create('Ext.form.field.Checkbox', {
                name: 'FINTEZA_EXACT_TIME',
                boxLabel: '{s name="general_time"}Exact time on website{/s}',
                blankText: '{s name="required_field"}This field is required{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: false,
                required: true,
                uncheckedValue: false,
                inputValue: true,
                checked: data.FINTEZA_EXACT_TIME ? true : false,
                fieldStyle: 'margin-left: 155px; font-weight: bold;',
            }),
            Ext.create('Ext.form.field.Checkbox', {
                name: 'FINTEZA_TRACKING_HOOKS',
                boxLabel: '{s name="general_hooks"}Tracking hooks{/s}',
                blankText: '{s name="required_field"}This field is required{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: false,
                required: true,
                uncheckedValue: false,
                inputValue: true,
                checked: data.FINTEZA_TRACKING_HOOKS ? true : false,
                fieldStyle: 'margin: 20px 0 0 155px; font-weight: bold; font-size: 11px;',
            }),
            Ext.create('Ext.container.Container', {
                html: '{s name="general_hooks_help"}Events related to store hooks can be registered in Finteza statistics. Read more about hooks in <a href="https://developers.shopware.com/developers-guide/event-guide/" target="_blank">Help</a>{/s}',
                style: 'font-style: italic; color: #999999; margin-left: 155px; padding: 0 0 10px;',
            }),
            Ext.create('Ext.form.field.Text', {
                name: 'FINTEZA_SIGNATURE',
                fieldLabel: '{s name="general_signature"}Secret key{/s}',
                labelWidth: me.defaults.labelWidth,
                allowBlank: true,
                required: false,
                value: data.FINTEZA_SIGNATURE,
                inputAttrTpl: 'spellcheck=false',
            }),
            Ext.create('Ext.container.Container', {
                html: '{s name="general_signature_help"}For Finteza to accept hooks, you must specify a secret key. The secret key is available <a href="https://panel.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.panel&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">in the Finteza panel</a>, in your website settings section.{/s}',
                style: 'font-style: italic; color: #999999; margin-left: 155px; padding: 0 0 10px;',
            }),
            Ext.create('Ext.button.Button', {
                cls: 'primary small',
                text: '{s name="button_save"}Save{/s}',
                handler: function () {
                    me.fireEvent('general-send', me);
                }
            })
        ];
    }
});
//{/block}
