//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/view/settings/help"}
Ext.define('Shopware.apps.FintezaAnalytics.view.settings.Help', {
    extend: 'Ext.form.FieldSet',
    alias: 'widget.help',
    stateId: 'help',
    collapsible: true,
    collapsed: false,
    hidden: false,
    width: '100%',
    margin: 5,
    padding: 10,
    border: true,
    defaults: {
        labelWidth: 160,
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;

        me.title = '{s name="help_title"}Getting started{/s}';
        me.items = me.createForm();

        me.callParent(arguments);
    },
    createForm: function () {
        var me = this,
            data = me.record[0].data,
            desc = '{s name="help_text"}How to use the plugin:<br>1. <a href="https://www.finteza.com/register?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.register&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Register</a> an account in Finteza<br>2. Save the generated website ID in the settings<br>3. Configure tracking of link click events<br>4. View your website visit statistics in the <a href="https://panel.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.panel&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Finteza dashboard</a>{/s}';

        if (data.FINTEZA_AUTH) {
            desc = '{s name="help_text"}How to use the plugin:<br>1. <a href="https://www.finteza.com/register?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.register&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Register</a> an account in Finteza<br>2. Save the generated website ID in the settings<br>3. Configure tracking of link click events<br>4. View your website visit statistics in the <a href="https://panel.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.panel&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Finteza dashboard</a>{/s}';
        }

        return [
			Ext.create('Ext.container.Container', {
                html: desc,
                styleHtmlContent: true,
            }),
        ];
    },
});
//{/block}
