//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/view/settings/intro"}
Ext.define('Shopware.apps.FintezaAnalytics.view.settings.Intro', {
    extend: 'Ext.form.FieldSet',
    alias: 'widget.intro',
    stateId: 'intro',
    collapsible: true,
    collapsed: false,
    hidden: false,
    width: '100%',
    margin: 5,
    padding: 10,
    border: true,
    defaults: {
        labelWidth: 160,
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;

        me.title = '{s name="title"}Finteza Analytics{/s}';
        me.items = me.createForm();

        me.callParent(arguments);
    },
    createForm: function () {
        var me = this,
            data = me.record[0].data,
            desc = '<table><tr><td><img src="../engine/Shopware/Plugins/Community/Frontend/FintezaAnalytics/logo.png" alt="Finteza Analytics"></td><td><p>{s name="intro_text"}Real-time web analytics. Track your site visits, page views and events. Analyze the incoming traffic quality, explore user behavior and create conversion funnels. With the user-friendly interface, you can access the most realistic unsampled data without delays.{/s}</p><p>{s name="intro_site"}<a href="https://www.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.website&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Official website</a>{/s} | {s name="intro_demo"}<a href="https://panel.finteza.com/login?login=demo@finteza.com&pass=fintezademo7&utm_source=shopware.admin&utm_medium=link&utm_term=finteza.demo&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Demo</a>{/s}</p></td></tr></table>';

        if (data.FINTEZA_WEBSITE_ID != '') {
            desc = '<table><tr><td><img src="../engine/Shopware/Plugins/Community/Frontend/FintezaAnalytics/logo.png" alt="Finteza Analytics"></td><td><p>{s name="intro_text"}Real-time web analytics. Track your site visits, page views and events. Analyze the incoming traffic quality, explore user behavior and create conversion funnels. With the user-friendly interface, you can access the most realistic unsampled data without delays.{/s}</p><p>{s name="intro_site"}<a href="https://www.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.website&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Official website</a>{/s} | {s name="intro_stats"}<a href="https://panel.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.panel&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">View statistics</a>{/s}</p></td></tr></table>';
        }

        return [
			Ext.create('Ext.container.Container', {
                html: desc,
                styleHtmlContent: true,
            }),
        ];
    },
});
//{/block}
